# libcpp.cc File Reference

`#include <lib/kmalloc.h>`
`#include <sys/video.h>`
`#include <lib/libcpp.h>`

Include dependency graph for libcpp.cc:

Go to the source code of this file.

## Functions

int | __cxa_atexit (void(*func)(void *), void *arg, void *d)
void | __cxa_pure_virtual ()
void | __dso_handle ()
void | __pure_virtual ()
void | operator delete (void *ptr)
void | operator delete[] (void *ptr)
void * | operator new (unsigned size)
void * | operator new[] (unsigned size)

## Function Documentation

int __cxa_atexit | ( | void(*)(void *) | func,
|  | void * | arg,
|  | void * | d |
| ) |  |  |

Definition at line 39 of file libcpp.cc.

void __cxa_pure_virtual | ( |  | ) |

Definition at line 36 of file libcpp.cc.

void __dso_handle | ( |  | ) |

Definition at line 41 of file libcpp.cc.

void __pure_virtual | ( |  | ) |

Definition at line 34 of file libcpp.cc.

void operator delete | ( | void * | ptr | ) |

Definition at line 64 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

void operator delete[] | ( | void * | ptr | ) |

Definition at line 51 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

void* operator new | ( | unsigned | size | ) |

Definition at line 58 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function:

void* operator new[] | ( | unsigned | size | ) |

Definition at line 46 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function: